:root {
    --primary: #ff6a00;
    --secondary: #95989a;
    --text-color: #fff;
    --text-secondary: #000;
    --text-tertiary: #5d5d5d;
    --background: rgba(41, 21, 3, 0.788);
}

* {
    font-family: "Montserrat";
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ATÉ AQUI É A BASE */

/* Formulário do Evento */
/* LADO ESQUERDO */
#event-description {
    background: linear-gradient(rgba(0,0,0,.8), rgba(0,0,0,.8)), 
    url("img/hrz-5.jpg");
    background-position: center;
    background-size: cover;
    height: 85vh;
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: var(--text-color)
}

#event-description img {
    width: 60%;
    margin-bottom: -5%;
}

#disclaimer .event-date {
    color: var(--primary);
}

#disclaimer .about-event {
    font-size: 2em;
    text-transform: uppercase;
    max-width: 350px;
    font-weight: bold;
    margin-bottom: 1em;
}

#disclaimer p {
    font-size: 1.2em;
    margin-bottom: .3em;
}

#disclaimer .event-date {
    font-weight: bold;
}

/* LADO DIREITO */

#subscription-form {
    background-color: var(--secondary);
    border-radius: 2px;
    padding: 1.7em;
    max-width: 22%;
}

#title-form {
    font-size: 1.4em;
    color: var(--text-secondary);
    margin-bottom: 1em;
}

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 0.8em;
}

.form-group label {
    color: var(--text-tertiary);
    margin-bottom: 0.3em;
    font-weight: bold;
}

.form-group input,
.form-group select {
    padding: 6px 8px;
    border-radius: 3px;
    border: none;
    outline: none;
}

.btn {
    background-color: var(--primary);
    color: var(--text-color);
    text-transform: uppercase;
    width: 100%;
    border: none;
    padding: 12px;
    cursor: pointer;
    opacity: 0.8;
}

.btn:hover{
    opacity: 1;
}

#btn-form {
    margin-top: 1em;
}

#security {
    display: flex;
    justify-content: center;
    align-items: baseline;
    margin-top: 1em;
}

#security i {
    font-size: 1em;
}

#security p{
    font-size: 0.8em;
}

/* Sessão de beneficios */
#key-benefits h2{
    background-color: var(--background);
    text-align: center;
    padding: 2em;
    font-weight: 500;
    color: var(--text-color);
}

.benefits {
    display: flex;
    justify-content: space-around;
    padding: 4em;
    width: 80%;
    margin: 0 auto;
}

.benefit {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 20%;
    color: var(--text-tertiary);
}

.benefit .benefit-img {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    background-size: cover;
    background-position: center;
    margin-bottom: 1em;
}

#benefit-1 {
    background-image: url("img/sqr-1.jpg");
}

#benefit-2 {
    background-image: url("img/sqr-2.jpg");
}

#benefit-3 {
    background-image: url("img/sqr-3.jpg");
}

/* Local do evento */
#location {
    height: 400px;
    background: linear-gradient(rgba(0,0,0,.8), rgba(0,0,0,.8)), 
    url("img/hrz-1.jpg");
    background-position: center;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: space-around;
    color: var(--text-color);
    margin-bottom: 3em;
}

#address, #about-location {
    max-width: 30%;
}

#address {
    display: flex;
}

#address i {
    color: var(--primary);
    font-size: 4em;
    margin-right: 0.5em;
}

#address-details {
    text-align: center;
    font-size: 1.3em;
}

#about-location h3{
    color: var(--primary);
    font-size: 2.5em;
    margin-bottom: 1em;
    text-transform: uppercase;
}

#about-location p {
    line-height: 1.5em;
}

/* Detalhes do evento */
#details {
    width: 80%;
    margin: 0 auto;
}

.detail {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 5%;
    margin-bottom: 4em;
}

.detail img{
    width: 50%;
}

.detail h3 {
    margin-bottom: 1em;
    font-size: 2em;
    font-weight: 500;
}

#detail-1 h3 {
    font-size: 3em;
    font-weight: 700;
}

.detail-description {
    width: 100%;
    padding-left: 2em;
}

.detail-description ul {
    list-style-position: inside;
}

.detail-description ul li {
    margin-bottom: 0.4em;
}

.detail-description ul li:last-child {
    font-weight: bold;
}

/* Sessão de chamada pra inscrição no evento */
/* cta = call to action */
#cta {
    height: 300px;
    background: linear-gradient(rgba(0,0,0,.8), rgba(0,0,0,.8)), 
    url("img/hrz-1.jpg");
    background-position: center;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--text-color);
}

#cta h3{
    margin-bottom: 1.2em;
    font-size: 2em;
    font-weight: 500;
}

#cta .btn{
    width: 30%;
    margin: 0 auto; /* serve pra centralizar na horizontal */
    font-weight: 800;
    font-size: 1.2em;
}

/* Rodapé */
footer {
    text-align: center; /* centraliza hon */
    justify-content: center; /* centraliza vert */
    color: var(--secondary);
    height: 250px;
    display: flex;
    flex-direction: column;
}

footer h3 {
    font-size: 1.8em;
    margin-bottom: 0.5em;
}

footer p:nth-child(2) {
    margin-bottom: 1em;
    font-size: 1.2em;
}

footer span {
    font-weight: bold;
}

/* Responsividade - Mobile */
/* Pesquisar sobre Mobile First, empresas costumam priorizar */
/* Passar um parametro um pouco acima (arredondado) é uma boa precaução */
@media (max-width: 450px) {
    .btn {
        opacity: 1; /* não existe a propriedade hover no mobile */
    }

    /* Formulário do Evento */
    #event-description {
        flex-direction: column;
        height: auto;
    }

    #event-description img {
        width: 50%;
    }

    #disclaimer {
        padding: 2em;
    }

    #subscription-form {
        max-width: 70%;
        margin-bottom: 2em;
    }

    
    /* Sessão de beneficios */
    .benefits {
        flex-direction: column;
        align-items: center;
        width: auto;
        padding: 2em;
    }

    .benefit {
        max-width: 100%;
        margin-bottom: 2em;
    }

    /* Local do evento */
    #location {
        flex-direction: column;
        height: auto;
        text-align: center;
        padding: 2em 0;
    }

    #address {
        order: 2;
        flex-direction: column;
        max-width: 100%;
    }

    #address i {
        margin: 0.3em 0;
    }

    #about-location {
        order: 1;
        max-width: 100%;
    }

    #about-location h3 {
        margin-bottom: 0;
    }

    #about-location p {
        display: none;
    }

    /* Detalhes do evento */
    .detail {
        flex-direction: column;
        margin-bottom: 0.5em;
        gap: 0;
    }

    .detail img {
        width: 100%;
        margin: 2em 0;
    }

    #detail-1 img {
        display: none;
    }

    .detail-description {
        padding: 0;
    }

    #detail-3 img {
        order: 2;
    }

    #detail-3 .detail-description {
        order: 1;
    }

    /* Sessão de chamada pra inscrição no evento */
    #cta {
        text-align: center;
    }

    #cta .btn {
        width: 80%;
    }
}

@media (max-width: 800px) {
    /* Desafio adicional */
    /* Adaptar pra tablet */
}
